<p align="center">
  <img align="center" src="https://avatars.githubusercontent.com/u/190006171?s=200&v=4" width="160px" />
</p>
<p align="left">


----

O LDSI (Laiss Declarative Self Improve) é uma poderosa estrutura para programar e otimizar modelos de linguagem. Capacita os programadores a construir, iterar e melhorar rapidamente sistemas de IA modulares com as seguintes características principais:

1. **Otimização Sistemática**: O LDSI oferece uma gama de otimizadores para refinar os seus programas de IA, desde a geração de instruções melhoradas até ao ajuste fino dos pesos do modelo.

2. **Arquitetura Modular**: Construa sistemas de IA complexos utilizando módulos pré-definidos e intercambiáveis, simplificando o processo de desenvolvimento e reduzindo a dependência de técnicas de prompting intrincadas.

3. **Compatibilidade entre Modelos de Linguagem**: Integre e melhore o desempenho de forma perfeita em vários modelos de linguagem, desde os modelos GPT de última geração até opções locais como T5-base ou Llama2.

4. **Abordagem Declarativa**: Defina o comportamento e os objetivos do seu sistema de IA de forma declarativa, permitindo que o LDSI trate dos detalhes subjacentes de otimização e execução.

5. **Prototipagem Rápida**: Acelere o seu ciclo de desenvolvimento com a API intuitiva do LDSI e ferramentas integradas para testes e avaliação.

O LDSI foi concebido para simplificar o processo de criação de aplicações sofisticadas de IA, tornando-se uma ferramenta inestimável tanto para investigadores como para profissionais no campo do processamento de linguagem natural e desenvolvimento de IA.


## Instalação


```bash
pip install ldsi
```

